### gamemodes/respawn/default_respawn

# get player coordinates
scoreboard players reset * respawn
scoreboard players reset * coordX
scoreboard players reset * coordY
scoreboard players reset * coordZ
execute as @a[team=!,tag=!dead] run function cod:gamemodes/coord/player_coord

# count players on right side
execute store result score 00000000-0000-0001-0000-000100000001 respawn if entity @a[team=redTeam,predicate=cod:gamemodes/is_on_right_side]
execute as @a[team=blueTeam,predicate=cod:gamemodes/is_on_right_side] run scoreboard players remove 00000000-0000-0001-0000-000100000001 respawn 1

# count players in mid map
execute store result score 00000000-0000-0001-0000-000100000002 respawn if entity @a[team=redTeam,predicate=cod:gamemodes/is_in_midmap]
execute as @a[team=blueTeam,predicate=cod:gamemodes/is_in_midmap] run scoreboard players remove 00000000-0000-0001-0000-000100000002 respawn 1

# count players on left side
execute store result score 00000000-0000-0001-0000-000100000003 respawn if entity @a[team=redTeam,predicate=cod:gamemodes/is_on_left_side]
execute as @a[team=blueTeam,predicate=cod:gamemodes/is_on_left_side] run scoreboard players remove 00000000-0000-0001-0000-000100000003 respawn 1

# red player rankings
execute if entity @s[team=redTeam] run function cod:gamemodes/respawn/weighted_respawn/red_ranking

# blue player rankings
execute if entity @s[team=blueTeam] run function cod:gamemodes/respawn/weighted_respawn/blue_ranking

# identify respawn area and tp player
tag @s add respawnWeighted
scoreboard players operation @e[type=marker,tag=mapSection] respawn -= .tpArea respawn
execute as @e[type=marker,tag=mapSection,scores={respawn=0},sort=random,limit=1] run function cod:gamemodes/respawn/weighted_respawn/teleport_weighted
tag @s remove respawnWeighted