### gamemodes/start_game

# initialize scoreboards
scoreboard objectives add score dummy {"text":"Players Alive","color":"yellow"}
execute as @a[team=redTeam] run scoreboard players add Red_Team score 1
team join redTeam Red_Team
execute as @a[team=blueTeam] run scoreboard players add Blue_Team score 1
team join blueTeam Blue_Team
scoreboard objectives add snd minecraft.picked_up:minecraft.tripwire_hook
scoreboard players set .siteStatus snd 0
scoreboard players set .bombStatus snd 0

# intiate bomb sites (kelp blocks, shulkers, aoe cloud)
execute at @e[type=marker,tag=searchCenter,tag=A] run fill ~-0.1 ~ ~-0.1 ~0.1 ~ ~0.1 dried_kelp_block
execute at @e[type=marker,tag=searchCenter,tag=A] run summon area_effect_cloud ~ ~1.5 ~ {UUID:[I;8,1,0,1],CustomNameVisible:1b,Duration:1000000,Tags:["sndSite","A"],CustomName:'{"text":"A","color":"blue","bold":true}'}
execute at @e[type=marker,tag=searchBlock,tag=A] run summon shulker ~ ~ ~ {Invulnerable:1b,Glowing:1b,DeathTime:19,Team:"blueTeam",PersistenceRequired:1b,NoAI:1b,AttachFace:0b,Tags:["sndSite","A"],ActiveEffects:[{Id:14,Amplifier:1b,Duration:1000000,ShowParticles:0b}]}

# intiate B site (kelp blocks, shulkers, aoe cloud)
execute at @e[type=marker,tag=searchCenter,tag=B] run fill ~-0.1 ~ ~-0.1 ~0.1 ~ ~0.1 dried_kelp_block
execute at @e[type=marker,tag=searchCenter,tag=B] run summon area_effect_cloud ~ ~1.5 ~ {UUID:[I;8,1,0,2],CustomNameVisible:1b,Duration:1000000,Tags:["sndSite","B"],CustomName:'{"text":"B","color":"blue","bold":true}'}
execute at @e[type=marker,tag=searchBlock,tag=B] run summon shulker ~ ~ ~ {Invulnerable:1b,Glowing:1b,DeathTime:19,Team:"blueTeam",PersistenceRequired:1b,NoAI:1b,AttachFace:0b,Tags:["sndSite","B"],ActiveEffects:[{Id:14,Amplifier:1b,Duration:1000000,ShowParticles:0b}]}

# place bomb to red team
execute at @e[type=marker,tag=searchBombSpawn] run summon item ~ ~ ~ {Glowing:1b,CustomNameVisible:1b,Age:-32768,Owner:[I;9,4,0,0],Tags:["inert","processed"],CustomName:'{"text":"BOMB","color":"yellow","bold":true}',Item:{id:"minecraft:tripwire_hook",Count:1b,tag:{display:{Name:'{"text":"Bomb"}'},sndBomb:1b}}}

# give defusers to blue team
give @a[team=blueTeam] tripwire_hook{display:{Name:'{"text":"Defuser"}'},sndDefuser:1b}

# notify players
tellraw @a[team=redTeam] ["\n","Destroy the ",{"text":"Objective \n","color":"blue"}]
tellraw @a[team=blueTeam] ["\n","Defend the ",{"text":"Objectives \n","color":"blue"}]

# move players
function cod:gamemodes/teleport/team_spawn